Skip to content
Start here

Show DNS Firewall Cluster Reverse DNS

dns_firewall.reverse_dns.get(strdns_firewall_id, ReverseDNSGetParams**kwargs) -> ReverseDNSGetResponse
GET/accounts/{account_id}/dns_firewall/{dns_firewall_id}/reverse_dns

Show reverse DNS configuration (PTR records) for a DNS Firewall cluster

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS Firewall WriteDNS Firewall Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
dns_firewall_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class ReverseDNSGetResponse:
ptr: Dict[str, str]

Map of cluster IP addresses to PTR record contents

Show DNS Firewall Cluster Reverse DNS

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
reverse_dns = client.dns_firewall.reverse_dns.get(
    dns_firewall_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(reverse_dns.ptr)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ptr": {
      "foo": "string"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ptr": {
      "foo": "string"
    }
  }
}